Description

Currently, the "Watchers" section in the new issue form shows up to 20 members of the project. I think it would be better if the fixed

number is configurable on the Administration page.

Use cases:

Suppose a team with 21 persons (slightly over the maximum number of watchers, 20). When you creating a new issue, you can

never see the checkboxes even if you wanted to. The problem can be addressed if an admin can increase the maximum

number of watchers to 21 or more

I sometimes get requests from my customers that they don't want to see a checkbox to add a watcher. In such a case, they can

set the setting to 0 to hide the checkboxes and always use the "Search for watchers to add" feature to add watchers

 

Related issues:

Related to Redmine - Feature #8562: Watchers list too big in new issue form Closed 2011-06-08

History

#1 - 2021-01-05 10:26 - Go MAEDA

- Description updated

#2 - 2021-01-05 10:45 - Go MAEDA

- Related to Feature #8562: Watchers list too big in new issue form added

#3 - 2021-01-09 20:49 - Marius BĂLTEANU

I don't think that adding a setting for this is a better solution because usually, a Redmine instance has multiple projects with various number of

members. Maybe 21 is a good fit for Project A, but for project B, 25 is better and so on. Even if the instance has only one project, I still find it awkward

to change a global (admin) setting based on the number of members.

From my point of view, we just need to discuss a better UI solution, maybe an inline mechanism using Tribute or a searchable multi select.

Regardless the solution, the list of watchers should be populated on a trigger and not by default in order to avoid performance issues.

#4 - 2021-02-02 11:52 - Mischa The Evil

- Subject changed from Setting to change the maximum number to display on new issue form to Setting to change the max. no. of members to

propose as watcher on the new issue form

#5 - 2022-08-10 10:23 - Ali Avci

If the feature is to be implemented, I'd vote for a project setting that might be even inherited from top project to the leaf project.

The request is reasonable, so raises the question why 20 why not 5. Who decided so. This requests asks only that the user wants to decide on this
functionality as well. (as usual in programming; any assumed constant value, is a possibility to start a discussion and enhance the system)
